#ifndef MUXERS_H
#define MUXERS_H

#include "config.h"
#include "mixer.h"
#define NUM_MUXERS 8

#define NUM_UNITY_MUXERS 32


struct mixer_muxer_table {
    void (*muxer)(mixer *m,
                  frame_bits_t target,
                  frame_bits_t *sources,
                  int frame_width,
                  AFframecount frame_count);
};

inline void
mixer_mux_1to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_1to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_2to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_3to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_4to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_5to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_6to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_7to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

inline void
mixer_mux_8to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count);

void
mixer_unity_mux_1to1_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_2to2_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_3to3_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_4to4_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_5to5_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_6to6_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_7to7_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_8to8_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_9to9_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_10to10_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_11to11_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_12to12_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_13to13_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_14to14_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_15to15_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_16to16_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_17to17_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_18to18_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_19to19_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_20to20_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_21to21_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_22to22_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_23to23_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_24to24_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_25to25_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_26to26_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_27to27_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_28to28_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_29to29_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_30to30_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_31to31_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_32to32_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_1to1_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_2to2_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_3to3_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_4to4_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_5to5_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_6to6_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_7to7_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_8to8_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_9to9_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_10to10_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_11to11_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_12to12_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_13to13_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_14to14_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_15to15_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_16to16_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_17to17_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_18to18_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_19to19_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_20to20_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_21to21_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_22to22_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_23to23_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_24to24_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_25to25_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_26to26_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_27to27_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_28to28_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_29to29_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_30to30_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_31to31_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_32to32_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_1to1_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_2to2_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_3to3_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_4to4_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_5to5_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_6to6_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_7to7_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_8to8_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_9to9_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_10to10_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_11to11_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_12to12_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_13to13_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_14to14_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_15to15_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_16to16_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_17to17_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_18to18_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_19to19_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_20to20_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_21to21_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_22to22_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_23to23_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_24to24_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_25to25_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_26to26_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_27to27_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_28to28_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_29to29_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_30to30_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_31to31_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);

void
mixer_unity_mux_32to32_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count);
#endif
