
#include "config.h"
#include "mixer.h"

inline void
mixer_mux_1to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

    }
}

inline void
mixer_mux_1to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

    }
}

inline void
mixer_mux_1to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

    }
}

inline void
mixer_mux_1to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

    }
}

inline void
mixer_mux_1to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

    }
}

inline void
mixer_mux_1to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

    }
}

inline void
mixer_mux_1to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

    }
}

inline void
mixer_mux_1to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

    }
}

inline void
mixer_mux_2to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

    }
}

inline void
mixer_mux_2to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

    }
}

inline void
mixer_mux_2to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

    }
}

inline void
mixer_mux_2to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

    }
}

inline void
mixer_mux_2to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

    }
}

inline void
mixer_mux_2to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

    }
}

inline void
mixer_mux_2to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

    }
}

inline void
mixer_mux_2to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

    }
}

inline void
mixer_mux_3to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

    }
}

inline void
mixer_mux_3to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

    }
}

inline void
mixer_mux_3to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

    }
}

inline void
mixer_mux_3to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

    }
}

inline void
mixer_mux_3to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

    }
}

inline void
mixer_mux_3to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

    }
}

inline void
mixer_mux_3to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

    }
}

inline void
mixer_mux_3to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

    }
}

inline void
mixer_mux_4to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

    }
}

inline void
mixer_mux_4to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

    }
}

inline void
mixer_mux_4to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

    }
}

inline void
mixer_mux_4to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

    }
}

inline void
mixer_mux_4to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

    }
}

inline void
mixer_mux_4to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

    }
}

inline void
mixer_mux_4to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

    }
}

inline void
mixer_mux_4to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

    }
}

inline void
mixer_mux_5to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

    }
}

inline void
mixer_mux_5to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

    }
}

inline void
mixer_mux_5to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

    }
}

inline void
mixer_mux_5to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

    }
}

inline void
mixer_mux_5to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

    }
}

inline void
mixer_mux_5to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

    }
}

inline void
mixer_mux_5to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

    }
}

inline void
mixer_mux_5to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

    }
}

inline void
mixer_mux_6to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

    }
}

inline void
mixer_mux_6to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

    }
}

inline void
mixer_mux_6to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

    }
}

inline void
mixer_mux_6to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

    }
}

inline void
mixer_mux_6to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

    }
}

inline void
mixer_mux_6to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

    }
}

inline void
mixer_mux_6to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

    }
}

inline void
mixer_mux_6to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[7][5];

    }
}

inline void
mixer_mux_7to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

    }
}

inline void
mixer_mux_7to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

    }
}

inline void
mixer_mux_7to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

    }
}

inline void
mixer_mux_7to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

    }
}

inline void
mixer_mux_7to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

    }
}

inline void
mixer_mux_7to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

    }
}

inline void
mixer_mux_7to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

    }
}

inline void
mixer_mux_7to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[7][5];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[7][6];

    }
}

inline void
mixer_mux_8to1_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

    }
}

inline void
mixer_mux_8to2_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

    }
}

inline void
mixer_mux_8to3_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

    }
}

inline void
mixer_mux_8to4_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

    }
}

inline void
mixer_mux_8to5_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

    }
}

inline void
mixer_mux_8to6_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[5][7];

    }
}

inline void
mixer_mux_8to7_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[5][7];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[6][7];

    }
}

inline void
mixer_mux_8to8_8(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb8t[(i * m->target_channels) + 0] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb8t[(i * m->target_channels) + 1] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb8t[(i * m->target_channels) + 2] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb8t[(i * m->target_channels) + 3] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb8t[(i * m->target_channels) + 4] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb8t[(i * m->target_channels) + 5] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[5][7];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

        fb8t[(i * m->target_channels) + 6] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[6][7];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[7][5];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[7][6];

        fb8t[(i * m->target_channels) + 7] +=
            (float)(fb8s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[7][7];

    }
}

inline void
mixer_mux_1to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

    }
}

inline void
mixer_mux_1to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

    }
}

inline void
mixer_mux_1to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

    }
}

inline void
mixer_mux_1to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

    }
}

inline void
mixer_mux_1to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

    }
}

inline void
mixer_mux_1to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

    }
}

inline void
mixer_mux_1to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

    }
}

inline void
mixer_mux_1to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

    }
}

inline void
mixer_mux_2to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

    }
}

inline void
mixer_mux_2to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

    }
}

inline void
mixer_mux_2to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

    }
}

inline void
mixer_mux_2to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

    }
}

inline void
mixer_mux_2to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

    }
}

inline void
mixer_mux_2to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

    }
}

inline void
mixer_mux_2to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

    }
}

inline void
mixer_mux_2to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

    }
}

inline void
mixer_mux_3to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

    }
}

inline void
mixer_mux_3to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

    }
}

inline void
mixer_mux_3to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

    }
}

inline void
mixer_mux_3to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

    }
}

inline void
mixer_mux_3to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

    }
}

inline void
mixer_mux_3to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

    }
}

inline void
mixer_mux_3to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

    }
}

inline void
mixer_mux_3to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

    }
}

inline void
mixer_mux_4to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

    }
}

inline void
mixer_mux_4to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

    }
}

inline void
mixer_mux_4to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

    }
}

inline void
mixer_mux_4to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

    }
}

inline void
mixer_mux_4to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

    }
}

inline void
mixer_mux_4to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

    }
}

inline void
mixer_mux_4to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

    }
}

inline void
mixer_mux_4to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

    }
}

inline void
mixer_mux_5to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

    }
}

inline void
mixer_mux_5to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

    }
}

inline void
mixer_mux_5to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

    }
}

inline void
mixer_mux_5to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

    }
}

inline void
mixer_mux_5to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

    }
}

inline void
mixer_mux_5to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

    }
}

inline void
mixer_mux_5to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

    }
}

inline void
mixer_mux_5to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

    }
}

inline void
mixer_mux_6to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

    }
}

inline void
mixer_mux_6to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

    }
}

inline void
mixer_mux_6to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

    }
}

inline void
mixer_mux_6to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

    }
}

inline void
mixer_mux_6to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

    }
}

inline void
mixer_mux_6to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

    }
}

inline void
mixer_mux_6to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

    }
}

inline void
mixer_mux_6to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[7][5];

    }
}

inline void
mixer_mux_7to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

    }
}

inline void
mixer_mux_7to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

    }
}

inline void
mixer_mux_7to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

    }
}

inline void
mixer_mux_7to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

    }
}

inline void
mixer_mux_7to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

    }
}

inline void
mixer_mux_7to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

    }
}

inline void
mixer_mux_7to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

    }
}

inline void
mixer_mux_7to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[7][5];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[7][6];

    }
}

inline void
mixer_mux_8to1_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

    }
}

inline void
mixer_mux_8to2_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

    }
}

inline void
mixer_mux_8to3_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

    }
}

inline void
mixer_mux_8to4_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

    }
}

inline void
mixer_mux_8to5_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

    }
}

inline void
mixer_mux_8to6_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[5][7];

    }
}

inline void
mixer_mux_8to7_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[5][7];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[6][7];

    }
}

inline void
mixer_mux_8to8_16(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb16t[(i * m->target_channels) + 0] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb16t[(i * m->target_channels) + 1] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb16t[(i * m->target_channels) + 2] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb16t[(i * m->target_channels) + 3] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb16t[(i * m->target_channels) + 4] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb16t[(i * m->target_channels) + 5] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[5][7];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

        fb16t[(i * m->target_channels) + 6] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[6][7];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[7][5];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[7][6];

        fb16t[(i * m->target_channels) + 7] +=
            (float)(fb16s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[7][7];

    }
}

inline void
mixer_mux_1to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

    }
}

inline void
mixer_mux_1to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

    }
}

inline void
mixer_mux_1to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

    }
}

inline void
mixer_mux_1to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

    }
}

inline void
mixer_mux_1to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

    }
}

inline void
mixer_mux_1to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

    }
}

inline void
mixer_mux_1to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

    }
}

inline void
mixer_mux_1to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

    }
}

inline void
mixer_mux_2to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

    }
}

inline void
mixer_mux_2to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

    }
}

inline void
mixer_mux_2to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

    }
}

inline void
mixer_mux_2to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

    }
}

inline void
mixer_mux_2to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

    }
}

inline void
mixer_mux_2to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

    }
}

inline void
mixer_mux_2to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

    }
}

inline void
mixer_mux_2to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

    }
}

inline void
mixer_mux_3to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

    }
}

inline void
mixer_mux_3to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

    }
}

inline void
mixer_mux_3to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

    }
}

inline void
mixer_mux_3to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

    }
}

inline void
mixer_mux_3to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

    }
}

inline void
mixer_mux_3to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

    }
}

inline void
mixer_mux_3to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

    }
}

inline void
mixer_mux_3to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

    }
}

inline void
mixer_mux_4to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

    }
}

inline void
mixer_mux_4to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

    }
}

inline void
mixer_mux_4to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

    }
}

inline void
mixer_mux_4to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

    }
}

inline void
mixer_mux_4to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

    }
}

inline void
mixer_mux_4to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

    }
}

inline void
mixer_mux_4to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

    }
}

inline void
mixer_mux_4to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

    }
}

inline void
mixer_mux_5to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

    }
}

inline void
mixer_mux_5to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

    }
}

inline void
mixer_mux_5to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

    }
}

inline void
mixer_mux_5to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

    }
}

inline void
mixer_mux_5to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

    }
}

inline void
mixer_mux_5to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

    }
}

inline void
mixer_mux_5to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

    }
}

inline void
mixer_mux_5to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

    }
}

inline void
mixer_mux_6to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

    }
}

inline void
mixer_mux_6to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

    }
}

inline void
mixer_mux_6to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

    }
}

inline void
mixer_mux_6to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

    }
}

inline void
mixer_mux_6to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

    }
}

inline void
mixer_mux_6to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

    }
}

inline void
mixer_mux_6to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

    }
}

inline void
mixer_mux_6to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[7][5];

    }
}

inline void
mixer_mux_7to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

    }
}

inline void
mixer_mux_7to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

    }
}

inline void
mixer_mux_7to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

    }
}

inline void
mixer_mux_7to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

    }
}

inline void
mixer_mux_7to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

    }
}

inline void
mixer_mux_7to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

    }
}

inline void
mixer_mux_7to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

    }
}

inline void
mixer_mux_7to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[7][5];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[7][6];

    }
}

inline void
mixer_mux_8to1_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

    }
}

inline void
mixer_mux_8to2_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

    }
}

inline void
mixer_mux_8to3_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

    }
}

inline void
mixer_mux_8to4_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

    }
}

inline void
mixer_mux_8to5_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

    }
}

inline void
mixer_mux_8to6_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[5][7];

    }
}

inline void
mixer_mux_8to7_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[5][7];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[6][7];

    }
}

inline void
mixer_mux_8to8_32(mixer *m,
          frame_bits_t fb_target,
          frame_bits_t *fb_sources,
          int frame_width,
          AFframecount frame_count) {
    int i;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        
        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[0][0];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[0][1];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[0][2];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[0][3];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[0][4];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[0][5];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[0][6];

        fb32t[(i * m->target_channels) + 0] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[0][7];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[1][0];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[1][1];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[1][2];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[1][3];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[1][4];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[1][5];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[1][6];

        fb32t[(i * m->target_channels) + 1] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[1][7];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[2][0];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[2][1];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[2][2];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[2][3];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[2][4];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[2][5];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[2][6];

        fb32t[(i * m->target_channels) + 2] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[2][7];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[3][0];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[3][1];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[3][2];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[3][3];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[3][4];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[3][5];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[3][6];

        fb32t[(i * m->target_channels) + 3] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[3][7];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[4][0];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[4][1];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[4][2];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[4][3];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[4][4];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[4][5];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[4][6];

        fb32t[(i * m->target_channels) + 4] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[4][7];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[5][0];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[5][1];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[5][2];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[5][3];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[5][4];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[5][5];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[5][6];

        fb32t[(i * m->target_channels) + 5] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[5][7];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[6][0];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[6][1];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[6][2];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[6][3];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[6][4];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[6][5];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[6][6];

        fb32t[(i * m->target_channels) + 6] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[6][7];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[0][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[0] : 
                     m->source_is_mute[0])) *
            m->mixtable[7][0];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[1][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[1] : 
                     m->source_is_mute[1])) *
            m->mixtable[7][1];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[2][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[2] : 
                     m->source_is_mute[2])) *
            m->mixtable[7][2];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[3][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[3] : 
                     m->source_is_mute[3])) *
            m->mixtable[7][3];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[4][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[4] : 
                     m->source_is_mute[4])) *
            m->mixtable[7][4];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[5][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[5] : 
                     m->source_is_mute[5])) *
            m->mixtable[7][5];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[6][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[6] : 
                     m->source_is_mute[6])) *
            m->mixtable[7][6];

        fb32t[(i * m->target_channels) + 7] +=
            (float)(fb32s[7][i] & 
                    (m->num_solos ? 
                     m->source_is_solo[7] : 
                     m->source_is_mute[7])) *
            m->mixtable[7][7];

    }
}

void
mixer_unity_mux_1to1_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
    }
}

void
mixer_unity_mux_2to2_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
    }
}

void
mixer_unity_mux_3to3_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
    }
}

void
mixer_unity_mux_4to4_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
    }
}

void
mixer_unity_mux_5to5_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
    }
}

void
mixer_unity_mux_6to6_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
    }
}

void
mixer_unity_mux_7to7_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
    }
}

void
mixer_unity_mux_8to8_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
    }
}

void
mixer_unity_mux_9to9_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
    }
}

void
mixer_unity_mux_10to10_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
    }
}

void
mixer_unity_mux_11to11_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
    }
}

void
mixer_unity_mux_12to12_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
    }
}

void
mixer_unity_mux_13to13_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
    }
}

void
mixer_unity_mux_14to14_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
    }
}

void
mixer_unity_mux_15to15_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
    }
}

void
mixer_unity_mux_16to16_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
    }
}

void
mixer_unity_mux_17to17_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
    }
}

void
mixer_unity_mux_18to18_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
    }
}

void
mixer_unity_mux_19to19_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
    }
}

void
mixer_unity_mux_20to20_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
    }
}

void
mixer_unity_mux_21to21_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
    }
}

void
mixer_unity_mux_22to22_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
    }
}

void
mixer_unity_mux_23to23_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
        fb8t[mul + 22] = fb8s[22][i];
    }
}

void
mixer_unity_mux_24to24_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
        fb8t[mul + 22] = fb8s[22][i];
        fb8t[mul + 23] = fb8s[23][i];
    }
}

void
mixer_unity_mux_25to25_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
        fb8t[mul + 22] = fb8s[22][i];
        fb8t[mul + 23] = fb8s[23][i];
        fb8t[mul + 24] = fb8s[24][i];
    }
}

void
mixer_unity_mux_26to26_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
        fb8t[mul + 22] = fb8s[22][i];
        fb8t[mul + 23] = fb8s[23][i];
        fb8t[mul + 24] = fb8s[24][i];
        fb8t[mul + 25] = fb8s[25][i];
    }
}

void
mixer_unity_mux_27to27_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
        fb8t[mul + 22] = fb8s[22][i];
        fb8t[mul + 23] = fb8s[23][i];
        fb8t[mul + 24] = fb8s[24][i];
        fb8t[mul + 25] = fb8s[25][i];
        fb8t[mul + 26] = fb8s[26][i];
    }
}

void
mixer_unity_mux_28to28_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
        fb8t[mul + 22] = fb8s[22][i];
        fb8t[mul + 23] = fb8s[23][i];
        fb8t[mul + 24] = fb8s[24][i];
        fb8t[mul + 25] = fb8s[25][i];
        fb8t[mul + 26] = fb8s[26][i];
        fb8t[mul + 27] = fb8s[27][i];
    }
}

void
mixer_unity_mux_29to29_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
        fb8t[mul + 22] = fb8s[22][i];
        fb8t[mul + 23] = fb8s[23][i];
        fb8t[mul + 24] = fb8s[24][i];
        fb8t[mul + 25] = fb8s[25][i];
        fb8t[mul + 26] = fb8s[26][i];
        fb8t[mul + 27] = fb8s[27][i];
        fb8t[mul + 28] = fb8s[28][i];
    }
}

void
mixer_unity_mux_30to30_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
        fb8t[mul + 22] = fb8s[22][i];
        fb8t[mul + 23] = fb8s[23][i];
        fb8t[mul + 24] = fb8s[24][i];
        fb8t[mul + 25] = fb8s[25][i];
        fb8t[mul + 26] = fb8s[26][i];
        fb8t[mul + 27] = fb8s[27][i];
        fb8t[mul + 28] = fb8s[28][i];
        fb8t[mul + 29] = fb8s[29][i];
    }
}

void
mixer_unity_mux_31to31_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
        fb8t[mul + 22] = fb8s[22][i];
        fb8t[mul + 23] = fb8s[23][i];
        fb8t[mul + 24] = fb8s[24][i];
        fb8t[mul + 25] = fb8s[25][i];
        fb8t[mul + 26] = fb8s[26][i];
        fb8t[mul + 27] = fb8s[27][i];
        fb8t[mul + 28] = fb8s[28][i];
        fb8t[mul + 29] = fb8s[29][i];
        fb8t[mul + 30] = fb8s[30][i];
    }
}

void
mixer_unity_mux_32to32_8(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int8_t *fb8t = (int8_t *)fb_target, **fb8s = (int8_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb8t[mul + 0] = fb8s[0][i];
        fb8t[mul + 1] = fb8s[1][i];
        fb8t[mul + 2] = fb8s[2][i];
        fb8t[mul + 3] = fb8s[3][i];
        fb8t[mul + 4] = fb8s[4][i];
        fb8t[mul + 5] = fb8s[5][i];
        fb8t[mul + 6] = fb8s[6][i];
        fb8t[mul + 7] = fb8s[7][i];
        fb8t[mul + 8] = fb8s[8][i];
        fb8t[mul + 9] = fb8s[9][i];
        fb8t[mul + 10] = fb8s[10][i];
        fb8t[mul + 11] = fb8s[11][i];
        fb8t[mul + 12] = fb8s[12][i];
        fb8t[mul + 13] = fb8s[13][i];
        fb8t[mul + 14] = fb8s[14][i];
        fb8t[mul + 15] = fb8s[15][i];
        fb8t[mul + 16] = fb8s[16][i];
        fb8t[mul + 17] = fb8s[17][i];
        fb8t[mul + 18] = fb8s[18][i];
        fb8t[mul + 19] = fb8s[19][i];
        fb8t[mul + 20] = fb8s[20][i];
        fb8t[mul + 21] = fb8s[21][i];
        fb8t[mul + 22] = fb8s[22][i];
        fb8t[mul + 23] = fb8s[23][i];
        fb8t[mul + 24] = fb8s[24][i];
        fb8t[mul + 25] = fb8s[25][i];
        fb8t[mul + 26] = fb8s[26][i];
        fb8t[mul + 27] = fb8s[27][i];
        fb8t[mul + 28] = fb8s[28][i];
        fb8t[mul + 29] = fb8s[29][i];
        fb8t[mul + 30] = fb8s[30][i];
        fb8t[mul + 31] = fb8s[31][i];
    }
}

void
mixer_unity_mux_1to1_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
    }
}

void
mixer_unity_mux_2to2_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
    }
}

void
mixer_unity_mux_3to3_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
    }
}

void
mixer_unity_mux_4to4_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
    }
}

void
mixer_unity_mux_5to5_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
    }
}

void
mixer_unity_mux_6to6_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
    }
}

void
mixer_unity_mux_7to7_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
    }
}

void
mixer_unity_mux_8to8_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
    }
}

void
mixer_unity_mux_9to9_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
    }
}

void
mixer_unity_mux_10to10_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
    }
}

void
mixer_unity_mux_11to11_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
    }
}

void
mixer_unity_mux_12to12_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
    }
}

void
mixer_unity_mux_13to13_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
    }
}

void
mixer_unity_mux_14to14_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
    }
}

void
mixer_unity_mux_15to15_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
    }
}

void
mixer_unity_mux_16to16_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
    }
}

void
mixer_unity_mux_17to17_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
    }
}

void
mixer_unity_mux_18to18_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
    }
}

void
mixer_unity_mux_19to19_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
    }
}

void
mixer_unity_mux_20to20_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
    }
}

void
mixer_unity_mux_21to21_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
    }
}

void
mixer_unity_mux_22to22_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
    }
}

void
mixer_unity_mux_23to23_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
        fb16t[mul + 22] = fb16s[22][i];
    }
}

void
mixer_unity_mux_24to24_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
        fb16t[mul + 22] = fb16s[22][i];
        fb16t[mul + 23] = fb16s[23][i];
    }
}

void
mixer_unity_mux_25to25_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
        fb16t[mul + 22] = fb16s[22][i];
        fb16t[mul + 23] = fb16s[23][i];
        fb16t[mul + 24] = fb16s[24][i];
    }
}

void
mixer_unity_mux_26to26_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
        fb16t[mul + 22] = fb16s[22][i];
        fb16t[mul + 23] = fb16s[23][i];
        fb16t[mul + 24] = fb16s[24][i];
        fb16t[mul + 25] = fb16s[25][i];
    }
}

void
mixer_unity_mux_27to27_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
        fb16t[mul + 22] = fb16s[22][i];
        fb16t[mul + 23] = fb16s[23][i];
        fb16t[mul + 24] = fb16s[24][i];
        fb16t[mul + 25] = fb16s[25][i];
        fb16t[mul + 26] = fb16s[26][i];
    }
}

void
mixer_unity_mux_28to28_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
        fb16t[mul + 22] = fb16s[22][i];
        fb16t[mul + 23] = fb16s[23][i];
        fb16t[mul + 24] = fb16s[24][i];
        fb16t[mul + 25] = fb16s[25][i];
        fb16t[mul + 26] = fb16s[26][i];
        fb16t[mul + 27] = fb16s[27][i];
    }
}

void
mixer_unity_mux_29to29_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
        fb16t[mul + 22] = fb16s[22][i];
        fb16t[mul + 23] = fb16s[23][i];
        fb16t[mul + 24] = fb16s[24][i];
        fb16t[mul + 25] = fb16s[25][i];
        fb16t[mul + 26] = fb16s[26][i];
        fb16t[mul + 27] = fb16s[27][i];
        fb16t[mul + 28] = fb16s[28][i];
    }
}

void
mixer_unity_mux_30to30_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
        fb16t[mul + 22] = fb16s[22][i];
        fb16t[mul + 23] = fb16s[23][i];
        fb16t[mul + 24] = fb16s[24][i];
        fb16t[mul + 25] = fb16s[25][i];
        fb16t[mul + 26] = fb16s[26][i];
        fb16t[mul + 27] = fb16s[27][i];
        fb16t[mul + 28] = fb16s[28][i];
        fb16t[mul + 29] = fb16s[29][i];
    }
}

void
mixer_unity_mux_31to31_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
        fb16t[mul + 22] = fb16s[22][i];
        fb16t[mul + 23] = fb16s[23][i];
        fb16t[mul + 24] = fb16s[24][i];
        fb16t[mul + 25] = fb16s[25][i];
        fb16t[mul + 26] = fb16s[26][i];
        fb16t[mul + 27] = fb16s[27][i];
        fb16t[mul + 28] = fb16s[28][i];
        fb16t[mul + 29] = fb16s[29][i];
        fb16t[mul + 30] = fb16s[30][i];
    }
}

void
mixer_unity_mux_32to32_16(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int16_t *fb16t = (int16_t *)fb_target, **fb16s = (int16_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb16t[mul + 0] = fb16s[0][i];
        fb16t[mul + 1] = fb16s[1][i];
        fb16t[mul + 2] = fb16s[2][i];
        fb16t[mul + 3] = fb16s[3][i];
        fb16t[mul + 4] = fb16s[4][i];
        fb16t[mul + 5] = fb16s[5][i];
        fb16t[mul + 6] = fb16s[6][i];
        fb16t[mul + 7] = fb16s[7][i];
        fb16t[mul + 8] = fb16s[8][i];
        fb16t[mul + 9] = fb16s[9][i];
        fb16t[mul + 10] = fb16s[10][i];
        fb16t[mul + 11] = fb16s[11][i];
        fb16t[mul + 12] = fb16s[12][i];
        fb16t[mul + 13] = fb16s[13][i];
        fb16t[mul + 14] = fb16s[14][i];
        fb16t[mul + 15] = fb16s[15][i];
        fb16t[mul + 16] = fb16s[16][i];
        fb16t[mul + 17] = fb16s[17][i];
        fb16t[mul + 18] = fb16s[18][i];
        fb16t[mul + 19] = fb16s[19][i];
        fb16t[mul + 20] = fb16s[20][i];
        fb16t[mul + 21] = fb16s[21][i];
        fb16t[mul + 22] = fb16s[22][i];
        fb16t[mul + 23] = fb16s[23][i];
        fb16t[mul + 24] = fb16s[24][i];
        fb16t[mul + 25] = fb16s[25][i];
        fb16t[mul + 26] = fb16s[26][i];
        fb16t[mul + 27] = fb16s[27][i];
        fb16t[mul + 28] = fb16s[28][i];
        fb16t[mul + 29] = fb16s[29][i];
        fb16t[mul + 30] = fb16s[30][i];
        fb16t[mul + 31] = fb16s[31][i];
    }
}

void
mixer_unity_mux_1to1_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
    }
}

void
mixer_unity_mux_2to2_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
    }
}

void
mixer_unity_mux_3to3_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
    }
}

void
mixer_unity_mux_4to4_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
    }
}

void
mixer_unity_mux_5to5_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
    }
}

void
mixer_unity_mux_6to6_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
    }
}

void
mixer_unity_mux_7to7_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
    }
}

void
mixer_unity_mux_8to8_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
    }
}

void
mixer_unity_mux_9to9_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
    }
}

void
mixer_unity_mux_10to10_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
    }
}

void
mixer_unity_mux_11to11_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
    }
}

void
mixer_unity_mux_12to12_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
    }
}

void
mixer_unity_mux_13to13_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
    }
}

void
mixer_unity_mux_14to14_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
    }
}

void
mixer_unity_mux_15to15_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
    }
}

void
mixer_unity_mux_16to16_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
    }
}

void
mixer_unity_mux_17to17_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
    }
}

void
mixer_unity_mux_18to18_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
    }
}

void
mixer_unity_mux_19to19_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
    }
}

void
mixer_unity_mux_20to20_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
    }
}

void
mixer_unity_mux_21to21_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
    }
}

void
mixer_unity_mux_22to22_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
    }
}

void
mixer_unity_mux_23to23_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
        fb32t[mul + 22] = fb32s[22][i];
    }
}

void
mixer_unity_mux_24to24_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
        fb32t[mul + 22] = fb32s[22][i];
        fb32t[mul + 23] = fb32s[23][i];
    }
}

void
mixer_unity_mux_25to25_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
        fb32t[mul + 22] = fb32s[22][i];
        fb32t[mul + 23] = fb32s[23][i];
        fb32t[mul + 24] = fb32s[24][i];
    }
}

void
mixer_unity_mux_26to26_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
        fb32t[mul + 22] = fb32s[22][i];
        fb32t[mul + 23] = fb32s[23][i];
        fb32t[mul + 24] = fb32s[24][i];
        fb32t[mul + 25] = fb32s[25][i];
    }
}

void
mixer_unity_mux_27to27_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
        fb32t[mul + 22] = fb32s[22][i];
        fb32t[mul + 23] = fb32s[23][i];
        fb32t[mul + 24] = fb32s[24][i];
        fb32t[mul + 25] = fb32s[25][i];
        fb32t[mul + 26] = fb32s[26][i];
    }
}

void
mixer_unity_mux_28to28_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
        fb32t[mul + 22] = fb32s[22][i];
        fb32t[mul + 23] = fb32s[23][i];
        fb32t[mul + 24] = fb32s[24][i];
        fb32t[mul + 25] = fb32s[25][i];
        fb32t[mul + 26] = fb32s[26][i];
        fb32t[mul + 27] = fb32s[27][i];
    }
}

void
mixer_unity_mux_29to29_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
        fb32t[mul + 22] = fb32s[22][i];
        fb32t[mul + 23] = fb32s[23][i];
        fb32t[mul + 24] = fb32s[24][i];
        fb32t[mul + 25] = fb32s[25][i];
        fb32t[mul + 26] = fb32s[26][i];
        fb32t[mul + 27] = fb32s[27][i];
        fb32t[mul + 28] = fb32s[28][i];
    }
}

void
mixer_unity_mux_30to30_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
        fb32t[mul + 22] = fb32s[22][i];
        fb32t[mul + 23] = fb32s[23][i];
        fb32t[mul + 24] = fb32s[24][i];
        fb32t[mul + 25] = fb32s[25][i];
        fb32t[mul + 26] = fb32s[26][i];
        fb32t[mul + 27] = fb32s[27][i];
        fb32t[mul + 28] = fb32s[28][i];
        fb32t[mul + 29] = fb32s[29][i];
    }
}

void
mixer_unity_mux_31to31_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
        fb32t[mul + 22] = fb32s[22][i];
        fb32t[mul + 23] = fb32s[23][i];
        fb32t[mul + 24] = fb32s[24][i];
        fb32t[mul + 25] = fb32s[25][i];
        fb32t[mul + 26] = fb32s[26][i];
        fb32t[mul + 27] = fb32s[27][i];
        fb32t[mul + 28] = fb32s[28][i];
        fb32t[mul + 29] = fb32s[29][i];
        fb32t[mul + 30] = fb32s[30][i];
    }
}

void
mixer_unity_mux_32to32_32(mixer *m,
                frame_bits_t fb_target,
                frame_bits_t *fb_sources,
                int frame_width,
                AFframecount frame_count) {
    register int i, mul;
    int32_t *fb32t = (int32_t *)fb_target, **fb32s = (int32_t **)fb_sources;

    for(i = 0; i < frame_count; i++) {
        mul = i * m->target_channels;
        
        fb32t[mul + 0] = fb32s[0][i];
        fb32t[mul + 1] = fb32s[1][i];
        fb32t[mul + 2] = fb32s[2][i];
        fb32t[mul + 3] = fb32s[3][i];
        fb32t[mul + 4] = fb32s[4][i];
        fb32t[mul + 5] = fb32s[5][i];
        fb32t[mul + 6] = fb32s[6][i];
        fb32t[mul + 7] = fb32s[7][i];
        fb32t[mul + 8] = fb32s[8][i];
        fb32t[mul + 9] = fb32s[9][i];
        fb32t[mul + 10] = fb32s[10][i];
        fb32t[mul + 11] = fb32s[11][i];
        fb32t[mul + 12] = fb32s[12][i];
        fb32t[mul + 13] = fb32s[13][i];
        fb32t[mul + 14] = fb32s[14][i];
        fb32t[mul + 15] = fb32s[15][i];
        fb32t[mul + 16] = fb32s[16][i];
        fb32t[mul + 17] = fb32s[17][i];
        fb32t[mul + 18] = fb32s[18][i];
        fb32t[mul + 19] = fb32s[19][i];
        fb32t[mul + 20] = fb32s[20][i];
        fb32t[mul + 21] = fb32s[21][i];
        fb32t[mul + 22] = fb32s[22][i];
        fb32t[mul + 23] = fb32s[23][i];
        fb32t[mul + 24] = fb32s[24][i];
        fb32t[mul + 25] = fb32s[25][i];
        fb32t[mul + 26] = fb32s[26][i];
        fb32t[mul + 27] = fb32s[27][i];
        fb32t[mul + 28] = fb32s[28][i];
        fb32t[mul + 29] = fb32s[29][i];
        fb32t[mul + 30] = fb32s[30][i];
        fb32t[mul + 31] = fb32s[31][i];
    }
}
